osmium::io::NoCompressor Class Reference

`#include <compression.hpp>`

Inheritance diagram for osmium::io::NoCompressor:
[legend]
Collaboration diagram for osmium::io::NoCompressor:
[legend]

## Public Member Functions

| NoCompressor (int fd, fsync sync)
| ~NoCompressor () noexceptfinal
void | write (const std::string &data) final
void | close () final
Public Member Functions inherited from osmium::io::Compressor
| Compressor (fsync sync)
virtual | ~Compressor () noexcept

## Private Attributes

int | m_fd

## Additional Inherited Members

Protected Member Functions inherited from osmium::io::Compressor
bool | do_fsync () const

## Constructor & Destructor Documentation

osmium::io::NoCompressor::NoCompressor | ( | int | fd,
|  | fsync | sync
| ) |  |

inline

osmium::io::NoCompressor::~NoCompressor | ( |  | ) |

inline final noexcept

## Member Function Documentation

void osmium::io::NoCompressor::close | ( |  | ) |

inline final virtual

Implements osmium::io::Compressor.

void osmium::io::NoCompressor::write | ( | const std::string & | data | ) |

inline final virtual

Implements osmium::io::Compressor.

## Member Data Documentation

int osmium::io::NoCompressor::m_fd

private

The documentation for this class was generated from the following file:

- osmium/io/compression.hpp